Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event
Class ForgeEventFactory

    java.lang.Object
      net.minecraftforge.event.ForgeEventFactory

    public class ForgeEventFactory

extends Object

Constructor Summary
`ForgeEventFactory()`

Method Summary
`static boolean` | `doPlayerHarvestCheck(EntityPlayer player, Block block, boolean success)`
`static float` | `getBreakSpeed(EntityPlayer player, Block block, int metadata, float original)`
`static void` | `onPlayerDestroyItem(EntityPlayer player, ItemStack stack)`
`static PlayerInteractEvent` | `onPlayerInteract(EntityPlayer player, PlayerInteractEvent.Action action, int x, int y, int z, int face)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForgeEventFactory

    public ForgeEventFactory()

Method Detail

### doPlayerHarvestCheck

    public static boolean doPlayerHarvestCheck(EntityPlayer player,
                                               Block block,
                                               boolean success)

### getBreakSpeed

    public static float getBreakSpeed(EntityPlayer player,
                                      Block block,
                                      int metadata,
                                      float original)

### onPlayerInteract

    public static PlayerInteractEvent onPlayerInteract(EntityPlayer player,
                                                       PlayerInteractEvent.Action action,
                                                       int x,
                                                       int y,
                                                       int z,
                                                       int face)

### onPlayerDestroyItem

    public static void onPlayerDestroyItem(EntityPlayer player,
                                           ItemStack stack)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD